Subject: Re: New diff test failures on s390x architecture (was: [ANNOUNCE] Git v2.22.0-rc1)

From: Todd Zullinger <[email-masked]>
Date: Thu, 23 May 2019 17:06:28 -0400

Hi,

Duy Nguyen wrote:
> On Fri, May 24, 2019 at 2:14 AM Todd Zullinger <[email-masked]> wrote:
>> I am guessing it's no coincidence that this only fails on
>> s390x and it is the only big endian architecture in the
>> fedora build system.
> 
> I see a problem with -w and wrong type casting. sizeof(int) and
> sizeof(long) on s390x are not the same, are they?

I don't believe so.  I tested a small program which output
sizeof(int) and sizeof(long).  On s390x it's 4 bytes and 8
bytes, respectively (same as on x86_64).  I hope that's the
right way to test.

Thanks,

-- 
Todd